Running provisioned project on JBoss AS 5.0.1

The provisioned project uses JAX-WS 2.1 APIs for web service proxies. While this capability is supported in JBoss Web Service 3.1.0, JBoss AS 5.0.1 is only integrated with JBossWS 3.0.5, which supports JAX-WS 2.0. So, you will need to download and upgrade JBossWS to 3.1.0 for your JBoss AS 5.0.1.

Furthermore, if you start JBoss AS from Eclipse (and you are not running ModelPro gold), you need to change the Launch configuration for JBoss AS to add the following to the argument:

-Djava.endorsed.dirs=%JBOSS_HOME%\lib\endorsed

to get around a bug in the JBoss Eclipse plugin.

ModelPro Gold download is integrated with JBoss AS 5.0.1 and JBossWS 3.1.0, so you would not have any issues.